List invitations addressed to me
curl --request GET \
--url https://api.quiva.ai/accounts/distribution-invite-inbox \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/accounts/distribution-invite-inbox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/accounts/distribution-invite-inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/distribution-invite-inbox",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/distribution-invite-inbox"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/accounts/distribution-invite-inbox")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/distribution-invite-inbox")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"results": [
{
"invite_id": "<string>",
"publisher_name": "<string>",
"products": [
{
"product_id": "<string>",
"version": "<string>",
"product_name": "<string>",
"type": "<string>",
"commission_cap": 123,
"clear_commission_cap": true
}
],
"brokerage_name": "<string>",
"created_at": "<string>",
"expires_at": 123
}
],
"results_total": 123,
"complete": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Distribution Invitations
List invitations addressed to me
Lists pending invitations addressed to the signed-in user’s own confirmed email, so a firm that lost the mail can find it. The address comes from the session. complete is false when only the first part of the ledger was checked. Root and admin roles only.
GET
/
accounts
/
distribution-invite-inbox
List invitations addressed to me
curl --request GET \
--url https://api.quiva.ai/accounts/distribution-invite-inbox \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/accounts/distribution-invite-inbox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/accounts/distribution-invite-inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/distribution-invite-inbox",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/distribution-invite-inbox"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/accounts/distribution-invite-inbox")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/distribution-invite-inbox")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"results": [
{
"invite_id": "<string>",
"publisher_name": "<string>",
"products": [
{
"product_id": "<string>",
"version": "<string>",
"product_name": "<string>",
"type": "<string>",
"commission_cap": 123,
"clear_commission_cap": true
}
],
"brokerage_name": "<string>",
"created_at": "<string>",
"expires_at": 123
}
],
"results_total": 123,
"complete": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}